For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/custom-object-classes/{custom_object_class_id}/association-types
          • POST/custom-object-classes/{custom_object_class_id}/association-types
          • GET/custom-object-classes/{custom_object_class_id}/association-types/{id}
          • GET/custom-object-classes/{custom_object_class_id}/association-types/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Custom ObjectsAssociation Types

/custom-object-classes/{custom_object_class_id}/association-types/{id}

Beta
GET
/crm/v1/custom-object-classes/:custom_object_class_id/association-types/:id
GET
/api/crm/v1/custom-object-classes/:custom_object_class_id/association-types/:id
$curl -G https://api.merge.dev/api/crm/v1/custom-object-classes/custom_object_class_id/association-types/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=target_object_classes
200Retrieved
1{
2 "id": "5bb73c32-3c6c-4757-ab7d-7d3540a1be31",
3 "remote_id": "93",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "source_object_class": {
7 "id": "ff1ff4cb-a66b-47dc-8e2a-50388049e602",
8 "origin_type": "CUSTOM_OBJECT"
9 },
10 "target_object_classes": [
11 {
12 "id": "Opportunity",
13 "origin_type": "COMMON_MODEL"
14 }
15 ],
16 "remote_key_name": "order_to_opportunity",
17 "display_name": "Order to Opportunity",
18 "cardinality": "ONE_TO_MANY",
19 "is_required": true
20}

Returns an AssociationType object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/custom-object-classes/{custom_object_class_id}/association-types

Next

/custom-object-classes/{custom_object_class_id}/association-types/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

custom_object_class_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
source_object_classmap from strings to anyRead-only

The class of the source object (Custom Object or Common Model) for the association type.

target_object_classeslist of objectsRead-only
remote_key_namestring or null
display_namestring or null
cardinalityenum or null
  • ONE_TO_ONE - ONE_TO_ONE
  • MANY_TO_ONE - MANY_TO_ONE
  • MANY_TO_MANY - MANY_TO_MANY
  • ONE_TO_MANY - ONE_TO_MANY
Allowed values:
is_requiredboolean